class AuthenticationRequest {
  String email = "";
  String password = "";
  bool isOtpRequired = false;
  String porOrgacode = "";
  String channelCode = "";

  AuthenticationRequest.empty()
      : this.email = "",
        this.password = "",
        this.isOtpRequired = false,
        this.porOrgacode = "",
        this.channelCode = "";

  AuthenticationRequest({
    this.email = "",
    this.password = "",
    this.isOtpRequired = false,
    this.porOrgacode = "",
    this.channelCode = "",
  });

  Map<String, dynamic> toMap() {
    return {
      'email': email,
      'password': password,
      'isOtpRequired': isOtpRequired,
      'porOrgacode': porOrgacode,
      'channelCode': channelCode,
    };
  }

  factory AuthenticationRequest.fromMap(Map<String, dynamic> map) {
    return AuthenticationRequest(
      email: map['email'],
      password: map['password'],
      isOtpRequired: map['isOtpRequired'],
      porOrgacode: map['porOrgacode'],
      channelCode: map['channelCode'],
    );
  }

  @override
  String toString() {
    return 'AuthenticationRequest{email: $email, password: $password, isOtpRequired: $isOtpRequired, porOrgacode: $porOrgacode, channelCode: $channelCode}';
  }
}
